# ComponentWithBinaries

interface ComponentWithBinaries : SoftwareComponent

Represents a component that is composed of one or more binaries.

#### Since

4.5

#### Inheritors

SwiftComponent
CppComponent

## Functions

getBinaries
Link copied to clipboard
abstract fun getBinaries(): BinaryCollection<out SoftwareComponent>
Returns the binaries of this component.
getName
Link copied to clipboard
abstract fun getName(): String